<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

use App\Traits\ModelLogChanging;

class InventoryBlindReceiveExcel extends Model
{
    use ModelLogChanging;

    //
    protected $fillable = [
        'file','goods_amount','name'
    ];
    public function delete()
    {
        Storage::disk('public')->delete($this['file']);
        return parent::delete();
    }
}
